:root {
  --f-size: 16px;
  --ff-normal: "Roboto", sans-serif;
  --bg-color: #1e1e21;
  --text-color: #f9f6ec;
  --approve-color: #00ff00;
  --reject-color: #ff0000;

  font-size: var(--f-size);
  font-family: var(--ff-normal);
  background-color: var(--bg-color);
  color: var(--text-color);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

img,
svg,
video {
  display: block;
  max-width: 100%;
  height: auto;
}

ul,
li {
  list-style: none;
}

a {
  text-decoration: none;
  color: inherit;
  position: relative;
}

a::after {
  content: "";
  position: absolute;
  bottom: -2px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: var(--text-color);
  transform: scaleX(1);
  transform-origin: right;
  transition: all 0.3s ease;
}

a.active::after,
a:hover::after {
  transform: scaleX(0);
}

a.active:hover::after {
  transform: scaleX(1);
}

button {
  all: unset;
  display: inline-block;
  cursor: pointer;
  font-size: inherit;
  font-family: inherit;
  padding: 0.15em 0.75em;
  border-radius: 4px;
  border: 1px solid var(--text-color);
  text-align: center;
  transition: all 0.3s ease;
}

button.filled {
  background-color: var(--text-color);
  color: var(--bg-color);
}

button:hover {
  background-color: var(--text-color);
  color: var(--bg-color);
}

button.filled:hover {
  background-color: var(--bg-color);
  color: var(--text-color);
}

input {
  all: unset;
  display: block;
  padding: 0.25em 0.75em;
  border-radius: 4px;
  border: 1px solid var(--text-color);
  font-size: 1rem;
  transition: all 0.3s ease;
}

.container {
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 1rem;
}

.page {
  padding: 6rem 0 10rem;
}

/* Header */

header {
  padding: 1rem 0;
}

header .voices-wrap {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

header .voices-wrap > * {
  flex: 1;
}

header .voices {
  display: flex;
  align-items: center;
  gap: 1rem;
}

header .logo {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

header .logo a::after {
  display: none;
}

header .logo img {
  width: 4rem;
}

header .logout {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 1rem;
}

/* Login */

body.login .logo-wrap {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  margin-bottom: 4rem;
}

body.login form {
  width: 100%;
  max-width: 500px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

body.login .field-wrap {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 1rem;
}

body.login .single-field {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

body.login .single-field.big {
  grid-column: 1 / -1;
}

body.login .errors {
  color: var(--reject-color);
}

/* Pagina approva */

.title-wrap {
  margin-bottom: 3rem;
}

body.approva .registries-wrap {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 1rem;
}

@media (max-width: 768px) {
  body.approva .registries-wrap {
    grid-template-columns: 1fr;
  }
}

body.approva .single-registry {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  background-color: rgb(255 255 255 / 0.05);
  padding: 3rem 2rem;
  border-radius: 1rem;
  position: relative;
  overflow: hidden;
}

body.approva .single-registry .winner-icon-wrap {
  position: absolute;
  top: 0;
  right: 0;
}

body.approva .single-registry .user-data-table {
  width: 100%;
  border-collapse: collapse;
}

body.approva .single-registry .user-data-table th,
body.approva .single-registry .user-data-table td {
  padding: 0.5rem;
  border: 1px solid rgb(255 255 255 / 0.3);
}

body.approva .single-registry .user-data-table .approved {
  color: var(--approve-color);
}

body.approva .single-registry .user-data-table .not-approved {
  color: var(--reject-color);
}

/* body.approva .single-registry .main-img-wrap {
  
} */

body.approva .single-registry .main-img-wrap a {
  position: relative;
  display: block;
  padding-bottom: 100%;
}

body.approva .single-registry .main-img-wrap a::after {
  display: none;
}

body.approva .single-registry .main-img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

body.approva .single-registry .actions-wrap {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

body.approva .single-registry .actions-wrap .approve {
  border-color: var(--approve-color);
}

body.approva .single-registry .actions-wrap .reject {
  border-color: var(--reject-color);
}

body.approva .single-registry .actions-wrap .approve:hover {
  background-color: var(--approve-color);
  color: var(--bg-color);
}

body.approva .single-registry .actions-wrap .reject:hover {
  background-color: var(--reject-color);
  color: var(--text-color);
}

body.approva .single-registry .final-actions {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

body.approva .single-registry .delete-wrap,
body.approva .single-registry .set-winner-wrap {
  text-align: center;
  font-size: 0.8rem;
}

body.approva .single-registry .delete,
body.approva .single-registry .set-winner {
  border: none;
  background-color: transparent;
  text-decoration: underline;
  opacity: 0.5;
  transition: all 0.3s ease;
}

body.approva .single-registry .delete {
  color: var(--reject-color);
}

body.approva .single-registry .set-winner {
  color: var(--approve-color);
}

body.approva .single-registry .delete:hover,
body.approva .single-registry .set-winner:hover {
  opacity: 1;
}

body.approva .filter-wrap {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 1rem;
  margin-bottom: 3rem;
}

body.approva .filter-wrap #registry-filter {
  font-size: inherit;
  font-family: inherit;
  padding: 0.25em 0.75em;
  border-radius: 4px;
  background-color: var(--text-color);
  color: var(--bg-color);
}

body.approva .filter-wrap #registry-filter:active,
body.approva .filter-wrap #registry-filter:focus {
  outline: none;
}

/* Popup */
.popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  backdrop-filter: blur(5px);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 100;
}

.popup .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: -1;
}

.popup .popup-inner {
  width: 100%;
  max-width: 600px;
  background-color: var(--text-color);
  color: var(--bg-color);
  padding: 2rem;
  border-radius: 1rem;
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  text-align: center;
}

.popup .popup-buttons {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

.popup button {
  border-color: var(--bg-color);
}

.popup button.danger {
  background-color: var(--reject-color);
  border-color: var(--reject-color);
  color: var(--text-color);
}

.popup button.success {
  background-color: var(--approve-color);
  border-color: var(--approve-color);
  color: var(--bg-color);
}

.popup button:hover {
  background-color: var(--bg-color);
  color: var(--text-color);
}

.popup button.danger:hover {
  background-color: var(--text-color);
  color: var(--bg-color);
}

.popup button.success:hover {
  background-color: var(--text-color);
  color: var(--bg-color);
}

